Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.fortuna.ical4j.util
Class EncoderFactory

    java.lang.Object
      net.fortuna.ical4j.util.EncoderFactory

Direct Known Subclasses:
  DefaultEncoderFactory

    public abstract class EncoderFactory

extends Object

Author:
  Ben Fortuna

Field Summary
`static String` | `KEY_FACTORY_CLASS` The system property used to specify an alternate `EncoderFactory` implementation.

Constructor Summary
`EncoderFactory()`

Method Summary
`abstract BinaryEncoder` | `createBinaryEncoder(Encoding encoding)` Returns a new `BinaryEncoder` for the specified encoding.
`abstract StringEncoder` | `createStringEncoder(Encoding encoding)` Returns a new `StringEncoder` for the specified encoding.
`static EncoderFactory` | `getInstance()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### KEY_FACTORY_CLASS

    public static final String KEY_FACTORY_CLASS

  The system property used to specify an alternate `EncoderFactory` implementation.

  See Also:
    Constant Field Values

Constructor Detail

### EncoderFactory

    public EncoderFactory()

Method Detail

### getInstance

    public static final EncoderFactory getInstance()

  Returns:
    Returns the instance.

### createBinaryEncoder

    public abstract BinaryEncoder createBinaryEncoder(Encoding encoding)
                                               throws UnsupportedEncodingException

  Returns a new `BinaryEncoder` for the specified encoding.

  Parameters:
    `encoding` -
  Returns:
    a `BinaryEncoder` instance
  Throws:
    `UnsupportedEncodingException` - where an encoder supporting the specified encoding is not available.

### createStringEncoder

    public abstract StringEncoder createStringEncoder(Encoding encoding)
                                               throws UnsupportedEncodingException

  Returns a new `StringEncoder` for the specified encoding.

  Parameters:
    `encoding` -
  Returns:
    a `StringEncoder` instance
  Throws:
    `UnsupportedEncodingException` - where an encoder supporting the specified encoding is not available.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2007 Modularity. All Rights Reserved.